"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../axios/config.js");
require("../../../_virtual/FileSaver.min.js");
require("../../../_virtual/index.js");
;/* empty css                                                    */
;/* empty css                                                          */
const api = {
  login4dev: ($http) => {
    return $http.post(`${$servers.base}/login4dev`);
  },
  getTemplateByRelIdType: ($http, relId, relType) => {
    return $http.postForm(
      `${$servers.base}/sys/homepage/template/getTemplateByRelIdType`,
      { relId, relType }
    );
  },
  saveTemplate: ($http, data) => {
    return $http.post(
      `${$servers.base}/sys/homepage/template/saveTemplate`,
      data
    );
  },
  restoreToDefault: ($http) => {
    return $http.post(
      `${$servers.base}/sys/homepage/template/restoreToDefault`
    );
  },
  getWorkbenchComponents: ($http, moduleType) => {
    return $http.post(
      `${$servers.base}/sysAssistConfig/getWorkbenchComponents`,
      { moduleType }
    );
  }
};
exports.default = api;
